/* read.c
 * SommerCampus 2006 */

#include "user.h"

#include <stdlib.h>

int main(int argc, char **argv)
{
	user u;
	int count;
	FILE *fp;
	
	if(argc != 2)
	{
		fprintf(stderr, "usage: %s filename\n", argv[0]);
		return 1;
	}

	fp = fopen(argv[1], "rb");

	if(!fp)
	{
		fprintf(stderr, "%s could not be opened\n", argv[1]);
		return 1;
	}

	count = 0;

	while( !feof(fp) && ( ( fread(&u, sizeof(user), 1, fp) ) == 1))
	{
		print_user(&u);
		count++;
	}

	printf("%d bytes read\n", count * sizeof(user));

	fclose(fp);
	return 0;
}
