/* dup.c
 * SommerCampus 2006 */

#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>

int main(void)
{

	int c, stdaus1, stdaus2=10;

	if( (stdaus1=dup(STDOUT_FILENO)) == -1)
	{
		fprintf(stderr, "Kann Filedeskriptor STDOUT_FILNO nicht duplizieren\n");
		return 1;
	}

	fprintf(stderr, "... Ausgabe ber Filedeskriptor %d ...\n", stdaus1);

	for(c='a'; c<='z'; ++c)
		write(stdaus1, &c, 1);
	printf("\n");

	if( (stdaus2=dup2(stdaus1, stdaus2)) == -1)
	{
		fprintf(stderr, "Kann Filedeskriptor %d nicht duplizieren\n", stdaus1);
		return 1;
	}

	fprintf(stderr, "... Ausgabe ber Filedeskriptor %d ...\n", stdaus2);

	for(c='A'; c<='Z'; ++c)
		write(stdaus2, &c, 1);
	printf("\n");

	close(stdaus2);
	close(stdaus1);

	
	return 0;
}
