/* user.c
 * SommerCampus 2006 */

#include "user.h"

void print_user(const user *u)
{
	if(!u)
		return;
	
	printf("%3d: %s %s (%d) from %s\n", u->id, u->name, u->surname, u->age, u->country);
}

void input_user(user *u)
{
	char tmp[1024];
	
	if(!u)
		return;
	
	printf("Enter new User ID: ");
	fgets(tmp, 1024, stdin);

	u->id = atoi(tmp);

	printf("Enter the age of the user: ");
	fgets(tmp, 1024, stdin);

	u->age = atoi(tmp);

	printf("Enter the name (max 19 chars): ");

	fgets(u->name, 20, stdin);

	if(u->name[strlen(u->name)-1] == '\n')
		u->name[strlen(u->name)-1] = 0;

	printf("Enter the surname (max 19 chars): ");

	fgets(u->surname, 20, stdin);

	if(u->surname[strlen(u->surname)-1] == '\n')
                u->surname[strlen(u->surname)-1] = 0;

	printf("Enter the country (2 chars): ");

        fgets(u->country, 20, stdin);

        if(u->country[strlen(u->country)-1] == '\n')
                u->country[strlen(u->country)-1] = 0;
}
